#include "BluetoothSerial.h" //inclue a biblioteca BluetoothSerial


#define PIN_RED    19 // define a GIOP23 para controlar o terminal vermelho
#define PIN_GREEN  22 // define a GIOP22 para controlar o terminal verde

// objeto do Bluetooth Serial
BluetoothSerial SerialBT;


// função Bt_Status callback
void Bt_Status (esp_spp_cb_event_t event, esp_spp_cb_param_t *param) {

  if (event == ESP_SPP_SRV_OPEN_EVT) {//se o cliente estiver conectado
    Serial.println ("Client Connected");//escrever "cliente conectado"
    digitalWrite (PIN_GREEN , HIGH);//led verde acende
    digitalWrite ( PIN_RED , LOW);//led vermelho apaga
  }

  else if (event == ESP_SPP_CLOSE_EVT ) {//se o cliente estiver desconectado
    Serial.println ("Client Disconnected");//escrever "cliente desconectado"
  digitalWrite ( PIN_RED , HIGH);//led vermelho acende
  digitalWrite (PIN_GREEN , LOW);//led verde apaga
  }
}


void setup() {
  Serial.begin (115200);
  pinMode (PIN_RED, OUTPUT);//declara GIOP23 como saída
  pinMode (PIN_GREEN, OUTPUT);//declara GIOP22 como saída
  
    
  digitalWrite ( PIN_RED , LOW);//led vermelho apaga
  digitalWrite (PIN_GREEN , HIGH);//led verde acende


  // definir Bt_Status callback
  SerialBT.register_callback (Bt_Status);//registrar o status

  SerialBT.begin ("ESP32");//escrever "esp32"

  Serial.println ();
  Serial.println ("Client Disconnected");//escrever "cliente desconectado"
}


void loop() {
  // coloque seu código para ser lido em loop:

}
